### Hierarchy

- TransactionServiceStub

## Index

### Constructors

- constructor

### Methods

- getAllTransactions
- setConversion
- setTransaction

## Constructors

### constructor

- new TransactionServiceStub(): TransactionServiceStub

- #### Returns TransactionServiceStub

## Methods

### getAllTransactions

- getAllTransactions(offset: number, limit: number): Observable<any>

- - Defined in src/testing/transaction-service-stub.ts:8

  #### Parameters

  - ##### offset: number

  - ##### limit: number

  #### Returns Observable<any>

### setConversion

- setConversion(conversion: any): void

- - Defined in src/testing/transaction-service-stub.ts:6

  #### Parameters

  - ##### conversion: any

  #### Returns void

### setTransaction

- setTransaction(transaction: any, cacheSize: number): void

- - Defined in src/testing/transaction-service-stub.ts:4

  #### Parameters

  - ##### transaction: any

  - ##### cacheSize: number

  #### Returns void

Generated using TypeDoc